# Browser string logging Django app

`browser_logging` is an app that, with included middleware, will automatically
log and related user sessions with browser metadata.

## Requirements

- django-user-agents

## Setup

Add `browser_logging` to your django installed apps in settings.

```
INSTALLED_APPS = [
    ...
    'browser_logging',
    ...
]
```

Add `browser_logging.middleware.browser_logging_middlware` to the MIDDLEWARE 
setting.

```
MIDDLEWARE = [
    ...
    'browser_logging.middleware.browser_logging_middleware',
    ...
]
```

Everything after this point should be automatic.